import type { Event } from "../event.ts";
import type { PRCommentAdded } from "./comment_added.ts";
import type { PRCommentDeleted } from "./comment_deleted.ts";
import type { PRCommentEdited } from "./comment_edited.ts";
import type { PRDeclined } from "./declined.ts";
import type { PRDeleted } from "./deleted.ts";
import type { PRFromRefUpdated } from "./from_ref_updated.ts";
import type { PRMerged } from "./merged.ts";
import type { PRModified } from "./modified.ts";
import type { PROpened } from "./opened.ts";
import type { PRReviewerApproved } from "./reviewer_approved.ts";
import type { PRReviewerChangesRequested } from "./reviewer_changes_requested.ts";
import type { PRReviewerUnapproved } from "./reviewer_unapproved.ts";
import type { PRReviewerUpdated } from "./reviewer_updated.ts";
/** You can create webhooks for events that occur on a pull request. */
export type PrEvent = PRCommentAdded | PRCommentDeleted | PRCommentEdited | PRDeclined | PRDeleted | PRFromRefUpdated | PRMerged | PRModified | PROpened | PRReviewerApproved | PRReviewerChangesRequested | PRReviewerUnapproved | PRReviewerUpdated;
export type PrEventKey = PrEvent["eventKey"];
export declare function isPrEvent(event: Event): event is PrEvent;
export declare function isPrEventKey(key: unknown): key is PrEventKey;
export declare const prEventKeys: {
    readonly "pr:comment:added": "pr:comment:added";
    readonly "pr:comment:deleted": "pr:comment:deleted";
    readonly "pr:comment:edited": "pr:comment:edited";
    readonly "pr:declined": "pr:declined";
    readonly "pr:deleted": "pr:deleted";
    readonly "pr:from_ref_updated": "pr:from_ref_updated";
    readonly "pr:merged": "pr:merged";
    readonly "pr:modified": "pr:modified";
    readonly "pr:opened": "pr:opened";
    readonly "pr:reviewer:approved": "pr:reviewer:approved";
    readonly "pr:reviewer:changes_requested": "pr:reviewer:changes_requested";
    readonly "pr:reviewer:unapproved": "pr:reviewer:unapproved";
    readonly "pr:reviewer:updated": "pr:reviewer:updated";
};
//# sourceMappingURL=event.d.ts.map